Bug 8972 - request: ability to run script when lease obtained/renewed
Summary: request: ability to run script when lease obtained/renewed
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-30 02:29 UTC by peterw
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-23 20:55:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description peterw 2000-01-30 02:29:30 UTC
The dhcpcd man page states that dhcpcd will execute
/etc/dhcpc/dhcpcd-<interface>.exe "whenever it detects a change in IP
address". It would be very useful for firewall purposes if pump had similar
functionality. Rather than executing a script when the IP changed, I would
have it execute the script when a lease was obtained or renewed (in case
the new lease changed something other than the IP address).

-Peter

Comment 1 Erik Troan 2000-02-23 20:55:59 UTC
Done in pump-0.7.8


Note You need to log in before you can comment on or make changes to this bug.